Update planner item
curl --request PATCH \
--url https://app.msportal.ai/api/public/v1/planner/items/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"description": "<string>",
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"typeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"hours": 1,
"costEstimate": 1,
"probability": 50,
"startDate": "2023-11-07T05:31:56Z",
"dueDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"publicNotes": "<string>",
"privateNotes": "<string>",
"isArchived": true
}
'import requests
url = "https://app.msportal.ai/api/public/v1/planner/items/{id}"
payload = {
"title": "<string>",
"description": "<string>",
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"typeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"hours": 1,
"costEstimate": 1,
"probability": 50,
"startDate": "2023-11-07T05:31:56Z",
"dueDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"publicNotes": "<string>",
"privateNotes": "<string>",
"isArchived": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
description: '<string>',
companyId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
typeId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
hours: 1,
costEstimate: 1,
probability: 50,
startDate: '2023-11-07T05:31:56Z',
dueDate: '2023-11-07T05:31:56Z',
endDate: '2023-11-07T05:31:56Z',
publicNotes: '<string>',
privateNotes: '<string>',
isArchived: true
})
};
fetch('https://app.msportal.ai/api/public/v1/planner/items/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"description": "<string>",
"hours": 1,
"costEstimate": 1,
"probability": 50,
"startDate": "2023-11-07T05:31:56Z",
"dueDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"publicNotes": "<string>",
"privateNotes": "<string>",
"isArchived": true,
"isOverdue": true,
"fiscalYear": 123,
"fiscalQuarter": 123,
"company": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"type": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"linkedGoalsCount": 123,
"linkedComplianceCount": 123,
"linkedMeetingsCount": 123,
"linkedProjectsCount": 123,
"linkedSecureScoreCount": 123,
"tagCount": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"linkedGoals": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"customTitle": "<string>"
}
],
"linkedCompliance": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"customTitle": "<string>"
}
],
"linkedProjects": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"externalId": "<string>",
"provider": "<string>"
}
],
"linkedOpportunities": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"summary": "<string>",
"externalId": "<string>",
"provider": "<string>"
}
],
"linkedSecureScore": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"customTitle": "<string>",
"actionUrl": "<string>"
}
],
"tags": [
"<string>"
]
}
}{
"error": "<string>",
"requestId": "<string>",
"details": "<unknown>",
"code": "<string>"
}{
"error": "<string>",
"requestId": "<string>",
"details": "<unknown>",
"code": "<string>"
}{
"error": "<string>",
"requestId": "<string>",
"details": "<unknown>",
"code": "<string>"
}{
"error": "<string>",
"requestId": "<string>",
"details": "<unknown>",
"code": "<string>"
}Planner
Update planner item
Update an existing planner item. Only provided fields will be updated. Set a field to null to clear it (for optional fields).
PATCH
/
api
/
public
/
v1
/
planner
/
items
/
{id}
Update planner item
Authorizations
Use your API key as a Bearer token. API keys can be generated in Settings → Integrations → API Access.
Path Parameters
Planner item ID
Body
application/json
Item title
Required string length:
1 - 255Item description (null to clear)
Maximum string length:
10000Company ID (null to clear)
Planner item type ID (null to clear)
Status
Available options:
In Progress, Not Started, Completed, On Hold, Cancelled, Pending Approval Business value
Available options:
High, Medium, Low Estimated hours
Required range:
x >= 0Cost estimate
Required range:
x >= 0Completion probability
Required range:
0 <= x <= 100Start date (null to clear)
Due date (null to clear)
End date (null to clear)
Public notes (null to clear)
Maximum string length:
10000Private notes (null to clear)
Maximum string length:
10000Whether the item is archived
Response
Planner item updated successfully
Show child attributes
Show child attributes
Was this page helpful?
⌘I